%define        man_pages_posix_ver 2013-a

Name:          man-pages
Version:       5.07
Release:       1mamba
Summary:       English man (manual) pages from the Linux Documentation Project
Group:         Documentation
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.kernel.org/pub/linux/docs/manpages
#Source:        http://man7.org/linux/man-pages/download/man-pages-%{version}.tar.gz
Source0:       http://www.kernel.org/pub/linux/docs/man-pages/man-pages-%{version}.tar.xz
Source1:       http://www.kernel.org/pub/linux/docs/man-pages/man-pages-posix/man-pages-posix-%{man_pages_posix_ver}.tar.xz
License:       GPL, BSD, MIT, Copyright only, and IEEE
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      man
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A large collection of man pages (reference material) from the Linux Documentation Project (LDP).
The man pages are organized into the following sections:
 * Section 1 : user commands (intro, and pages not maintained by FSF)
 * Section 2 : system calls
 * Section 3 : libc calls
 * Section 4 : devices (e.g., hd, sd)
 * Section 5 : file formats and protocols (e.g., wtmp, /etc/passwd, nfs)
 * Section 6 : games (intro only)
 * Section 7 : conventions, macro packages, etc.
 * Section 8 : system administration (intro only)

%package posix
Summary:       POSIX man (manual) pages from the IETF and The Open Group
Group:         Documentation
License:       GPL, BSD, MIT, Copyright only, IEEE

%description posix
This package contains the POSIX 1003.1-2003 man pages.
The directories man0p, man1p, man3p contain descriptions of the headers, the utilities, and the functions documented in that standard.
The POSIX man pages are organized into the following sections:   
 * Section 0p = POSIX headers
 * Section 1p = POSIX utilities
 * Section 3p = POSIX functions

%package extra
Summary:       Extra man (manual) pages which are provided by their own packages
Group:         Documentation
License:       GPL, BSD, MIT, Copyright only, IEEE

%description extra
Extra man (manual) pages which are provided by their own packages.

%prep
%setup -q -a1

%build
for i in man?; do
   for f in `ls $i 2>/dev/null`; do
      #pages are converted to utf-8
      iconv $i/$f -f latin1 -t utf-8 > $i/${f}.utf-8
      mv $i/${f}.utf-8 $i/$f
   done
done
#% make gz

cd man-pages-posix-%{man_pages_posix_ver}
for i in man?; do 
   for f in `ls $i 2>/dev/null`; do
      #pages are converted to utf-8
      iconv $i/$f -f latin1 -t utf-8 > $i/${f}.utf-8
      mv $i/${f}.utf-8 $i/$f
   done
done
#% make gz

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%make install prefix=%{buildroot}%{_prefix}
%make install prefix=%{buildroot}%{_prefix} -C man-pages-posix-%{man_pages_posix_ver}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_mandir}/man?/*
%exclude %{_mandir}/man3/getspnam.3*
%exclude %{_mandir}/man5/attr.5*
%doc Changes README

%files posix
%defattr(-,root,root)
%{_mandir}/man?p/*
%doc man-pages-posix-%{man_pages_posix_ver}/POSIX-COPYRIGHT

%files extra
%defattr(-,root,root)
%{_mandir}/man3/getspnam.3*
%{_mandir}/man5/attr.5*

%changelog
* Wed Jun 10 2020 Automatic Build System <autodist@mambasoft.it> 5.07-1mamba
- automatic version update by autodist

* Mon Apr 13 2020 Automatic Build System <autodist@mambasoft.it> 5.06-1mamba
- automatic version update by autodist

* Mon Feb 10 2020 Automatic Build System <autodist@mambasoft.it> 5.05-1mamba
- automatic version update by autodist

* Wed Nov 20 2019 Automatic Build System <autodist@mambasoft.it> 5.04-1mamba
- automatic version update by autodist

* Sat Oct 12 2019 Automatic Build System <autodist@mambasoft.it> 5.03-1mamba
- automatic version update by autodist

* Fri Aug 02 2019 Automatic Build System <autodist@mambasoft.it> 5.02-1mamba
- automatic version update by autodist

* Fri May 10 2019 Automatic Build System <autodist@mambasoft.it> 5.01-1mamba
- automatic version update by autodist

* Thu Mar 07 2019 Automatic Build System <autodist@mambasoft.it> 5.00-1mamba
- automatic version update by autodist

* Tue May 01 2018 Automatic Build System <autodist@mambasoft.it> 4.16-1mamba
- automatic version update by autodist

* Fri Feb 02 2018 Automatic Build System <autodist@mambasoft.it> 4.15-1mamba
- automatic version update by autodist

* Tue Nov 28 2017 Automatic Build System <autodist@mambasoft.it> 4.14-1mamba
- automatic update by autodist

* Fri Nov 10 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 4.13-3mamba
- move a couple of pages to a -extra package to avoid conflict with page provided by their own packages

* Mon Nov 06 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 4.13-2mamba
- fix pages compression

* Sun Sep 17 2017 Automatic Build System <autodist@mambasoft.it> 4.13-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 4.12-1mamba
- automatic version update by autodist

* Sat Mar 18 2017 Automatic Build System <autodist@mambasoft.it> 4.10-1mamba
- automatic version update by autodist

* Sat Dec 17 2016 Automatic Build System <autodist@mambasoft.it> 4.09-1mamba
- automatic version update by autodist

* Sat Oct 08 2016 Automatic Build System <autodist@mambasoft.it> 4.08-1mamba
- automatic version update by autodist

* Tue Jul 19 2016 Automatic Build System <autodist@mambasoft.it> 4.07-1mamba
- automatic version update by autodist

* Sat Jun 18 2016 Automatic Build System <autodist@mambasoft.it> 4.06-1mamba
- automatic version update by autodist

* Wed Mar 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.05-2mamba
- remove lirc.4 conflicting with lirc package

* Tue Mar 15 2016 Automatic Build System <autodist@mambasoft.it> 4.05-1mamba
- automatic version update by autodist

* Wed Dec 30 2015 Automatic Build System <autodist@mambasoft.it> 4.04-1mamba
- automatic version update by autodist

* Sat Dec 05 2015 Automatic Build System <autodist@mambasoft.it> 4.03-1mamba
- automatic version update by autodist

* Sun Aug 09 2015 Automatic Build System <autodist@mambasoft.it> 4.02-1mamba
- automatic version update by autodist

* Fri Jul 24 2015 Automatic Build System <autodist@mambasoft.it> 4.01-1mamba
- automatic version update by autodist

* Tue May 12 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.00-2mamba
- update man-pages-posix to 2013-a
- remove attr.5 provided by attr

* Thu May 07 2015 Automatic Build System <autodist@mambasoft.it> 4.00-1mamba
- automatic version update by autodist

* Wed Apr 22 2015 Automatic Build System <autodist@mambasoft.it> 3.83-1mamba
- automatic version update by autodist

* Wed Apr 01 2015 Automatic Build System <autodist@mambasoft.it> 3.82-1mamba
- automatic update by autodist

* Wed Mar 04 2015 Automatic Build System <autodist@mambasoft.it> 3.81-1mamba
- automatic version update by autodist

* Sat Feb 21 2015 Automatic Build System <autodist@mambasoft.it> 3.80-1mamba
- automatic version update by autodist

* Thu Feb 05 2015 Automatic Build System <autodist@mambasoft.it> 3.79-1mamba
- automatic version update by autodist

* Thu Jan 29 2015 Automatic Build System <autodist@mambasoft.it> 3.78-1mamba
- automatic version update by autodist

* Sun Jan 11 2015 Automatic Build System <autodist@mambasoft.it> 3.77-1mamba
- automatic version update by autodist

* Wed Dec 31 2014 Automatic Build System <autodist@mambasoft.it> 3.76-1mamba
- automatic version update by autodist

* Sat Oct 18 2014 Automatic Build System <autodist@mambasoft.it> 3.75-1mamba
- automatic version update by autodist

* Fri Oct 03 2014 Automatic Build System <autodist@mambasoft.it> 3.74-1mamba
- automatic version update by autodist

* Sun Sep 21 2014 Automatic Build System <autodist@mambasoft.it> 3.73-1mamba
- automatic version update by autodist

* Mon Sep 08 2014 Automatic Build System <autodist@mambasoft.it> 3.72-1mamba
- automatic version update by autodist

* Tue Aug 19 2014 Automatic Build System <autodist@mambasoft.it> 3.71-1mamba
- automatic version update by autodist

* Tue Jul 08 2014 Automatic Build System <autodist@mambasoft.it> 3.70-1mamba
- automatic version update by autodist

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 3.69-1mamba
- automatic version update by autodist

* Fri May 30 2014 Automatic Build System <autodist@mambasoft.it> 3.68-1mamba
- automatic update by autodist

* Wed May 21 2014 Automatic Build System <autodist@mambasoft.it> 3.67-1mamba
- automatic version update by autodist

* Thu May 08 2014 Automatic Build System <autodist@mambasoft.it> 3.66-1mamba
- automatic version update by autodist

* Sun Apr 20 2014 Automatic Build System <autodist@mambasoft.it> 3.65-1mamba
- automatic version update by autodist

* Sun Apr 06 2014 Automatic Build System <autodist@mambasoft.it> 3.64-1mamba
- automatic version update by autodist

* Wed Mar 19 2014 Automatic Build System <autodist@mambasoft.it> 3.63-1mamba
- automatic version update by autodist

* Wed Mar 12 2014 Automatic Build System <autodist@mambasoft.it> 3.62-1mamba
- automatic version update by autodist

* Thu Feb 27 2014 Automatic Build System <autodist@mambasoft.it> 3.61-1mamba
- automatic version update by autodist

* Wed Feb 19 2014 Automatic Build System <autodist@mambasoft.it> 3.60-1mamba
- automatic version update by autodist

* Sun Feb 16 2014 Automatic Build System <autodist@mambasoft.it> 3.59-1mamba
- automatic version update by autodist

* Tue Feb 11 2014 Automatic Build System <autodist@mambasoft.it> 3.58-1mamba
- automatic version update by autodist

* Sat Jan 25 2014 Automatic Build System <autodist@mambasoft.it> 3.57-1mamba
- automatic version update by autodist

* Sat Jan 11 2014 Automatic Build System <autodist@mambasoft.it> 3.56-1mamba
- automatic version update by autodist

* Thu Dec 12 2013 Automatic Build System <autodist@mambasoft.it> 3.55-1mamba
- automatic version update by autodist

* Tue Sep 17 2013 Automatic Build System <autodist@mambasoft.it> 3.54-1mamba
- automatic version update by autodist

* Wed Jul 31 2013 Automatic Build System <autodist@mambasoft.it> 3.53-1mamba
- automatic version update by autodist

* Thu Jul 04 2013 Automatic Build System <autodist@mambasoft.it> 3.52-1mamba
- automatic version update by autodist

* Fri Apr 19 2013 Automatic Build System <autodist@mambasoft.it> 3.51-1mamba
- automatic version update by autodist

* Tue Mar 19 2013 Automatic Build System <autodist@mambasoft.it> 3.50-1mamba
- automatic version update by autodist

* Fri Mar 08 2013 Automatic Build System <autodist@mambasoft.it> 3.48-1mamba
- automatic version update by autodist

* Tue Feb 12 2013 Automatic Build System <autodist@mambasoft.it> 3.47-1mamba
- automatic version update by autodist

* Mon Jan 28 2013 Automatic Build System <autodist@mambasoft.it> 3.46-1mamba
- automatic version update by autodist

* Fri Dec 21 2012 Automatic Build System <autodist@mambasoft.it> 3.45-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 3.44-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 3.43-1mamba
- automatic version update by autodist

* Thu Aug 16 2012 Automatic Build System <autodist@mambasoft.it> 3.42-1mamba
- automatic version update by autodist

* Fri May 11 2012 Automatic Build System <autodist@mambasoft.it> 3.41-1mamba
- automatic version update by autodist

* Fri Apr 27 2012 Automatic Build System <autodist@mambasoft.it> 3.40-1mamba
- automatic version update by autodist

* Tue Apr 17 2012 Automatic Build System <autodist@mambasoft.it> 3.39-1mamba
- automatic version update by autodist

* Sun Mar 25 2012 Automatic Build System <autodist@mambasoft.it> 3.38-1mamba
- automatic version update by autodist

* Thu Mar 15 2012 Automatic Build System <autodist@mambasoft.it> 3.37-1mamba
- update to 3.37

* Mon Nov 14 2011 Automatic Build System <autodist@mambasoft.it> 3.35-1mamba
- update to 3.35

* Fri Dec 03 2010 Automatic Build System <autodist@mambasoft.it> 3.32-1mamba
- automatic update to 3.32 by autodist

* Fri Nov 12 2010 Automatic Build System <autodist@mambasoft.it> 3.31-1mamba
- automatic update to 3.31 by autodist

* Tue Nov 02 2010 Automatic Build System <autodist@mambasoft.it> 3.30-1mamba
- automatic update to 3.30 by autodist

* Wed Oct 20 2010 Automatic Build System <autodist@mambasoft.it> 3.29-1mamba
- automatic update to 3.29 by autodist

* Mon Oct 04 2010 Automatic Build System <autodist@mambasoft.it> 3.28-1mamba
- automatic update to 3.28 by autodist

* Sat Sep 25 2010 Davide Madrisan <davide.madrisan@gmail.com> 3.27-2mamba
- remove i18n-it subpackage

* Thu Sep 23 2010 Automatic Build System <autodist@mambasoft.it> 3.27-1mamba
- automatic update to 3.27 by autodist

* Mon Sep 06 2010 Automatic Build System <autodist@mambasoft.it> 3.26-1mamba
- automatic update by autodist

* Sun Jun 20 2010 Automatic Build System <autodist@mambasoft.it> 3.25-1mamba
- automatic update to 3.25 by autodist

* Fri Feb 26 2010 Automatic Build System <autodist@mambasoft.it> 3.24-1mamba
- automatic update to 3.24 by autodist

* Wed Sep 30 2009 Automatic Build System <autodist@mambasoft.it> 3.23-1mamba
- automatic update to 3.23 by autodist

* Sat Jul 25 2009 Automatic Build System <autodist@mambasoft.it> 3.22-1mamba
- automatic update to 3.22 by autodist

* Thu Apr 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.21-1mamba
- automatic update to 3.21 by autodist

* Tue Mar 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.20-1mamba
- automatic update to 3.20 by autodist

* Fri Feb 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.19-1mamba
- automatic update to 3.19 by autodist

* Tue Feb 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.18-1mamba
- automatic update to 3.18 by autodist

* Mon Jan 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.17-1mamba
- automatic update to 3.17 by autodist

* Tue Jan 13 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16-1mamba
- automatic update to 3.16 by autodist

* Sat Dec 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.15-1mamba
- automatic update to 3.15 by autodist

* Wed Nov 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14-1mamba
- automatic update to 3.14 by autodist

* Mon Nov 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.13-1mamba
- automatic update to 3.13 by autodist

* Thu Oct 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12-1mamba
- automatic update to 3.12 by autodist

* Wed Oct 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.11-1mamba
- automatic update to 3.11 by autodist

* Wed Sep 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10-1mamba
- automatic update to 3.10 by autodist

* Thu Sep 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.09-1mamba
- automatic update to 3.09 by autodist

* Thu Aug 28 2008 Aleph0 <aleph0@openmamba.org> 3.08-1mamba
- update to 3.08

* Mon Aug 25 2008 Aleph0 <aleph0@openmamba.org> 3.07-1mamba
- English man pages updated to v3.07, italian man pages updated to v2.80

* Sat Jul 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.02-1mamba
- update to 3.02
- license set to Distributable

* Tue Jun 10 2008 Aleph0 <aleph0@openmamba.org> 2.80-1mamba
- update to 2.80

* Mon Apr 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.79-2mamba
- added italian man pages translation from www.pluto.it
- changed man-pages and man-pages-posix  groups to Documentation

* Mon Mar 10 2008 Aleph0 <aleph0@openmamba.org> 2.79-1mamba
- update to 2.79

* Thu Feb 21 2008 Aleph0 <aleph0@openmamba.org> 2.78-1mamba
- update to 2.78

* Fri Feb 01 2008 Aleph0 <aleph0@openmamba.org> 2.76-1mamba
- update to 2.76

* Fri Dec 28 2007 Aleph0 <aleph0@openmamba.org> 2.74-1mamba
- update to 2.74

* Fri Nov 23 2007 Aleph0 <aleph0@openmamba.org> 2.68-1mamba
- update to 2.68

* Tue Oct 23 2007 Aleph0 <aleph0@openmamba.org> 2.66-1mamba
- update to 2.66

* Thu Sep 20 2007 Aleph0 <aleph0@openmamba.org> 2.65-1mamba
- update to 2.65

* Mon Jul 23 2007 Aleph0 <aleph0@openmamba.org> 2.63-1mamba
- update to 2.63

* Tue Jun 12 2007 Aleph0 <aleph0@openmamba.org> 2.55-1mamba
- update to 2.55

* Fri Jun 01 2007 Aleph0 <aleph0@openmamba.org> 2.51-1mamba
- update to 2.51

* Thu May 24 2007 Aleph0 <aleph0@openmamba.org> 2.50-1mamba
- update to 2.50

* Thu May 03 2007 Aleph0 <aleph0@openmamba.org> 2.46-1mamba
- update to 2.46

* Tue Apr 10 2007 Aleph0 <aleph0@openmamba.org> 2.44-1mamba
- update to 2.44

* Mon Oct 16 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.41-1qilnx
- update to version 2.41 by autospec

* Thu Oct 12 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.40-1qilnx
- update to version 2.40 by autospec

* Mon Jul 17 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.36-1qilnx
- update to version 2.36 by autospec

* Wed Jun 21 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.34-1qilnx
- update to version 2.34 by autospec

* Wed Apr 12 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.29-1qilnx
- update to version 2.29 by autospec

* Wed Feb 22 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.24-1qilnx
- update to version 2.24 by autospec

* Mon Feb 20 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.23-2qilnx
- requires man

* Tue Feb 14 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.23-1qilnx
- update to version 2.23 by autospec

* Mon Jan 30 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.21-1qilnx
- update to version 2.21 by autospec

* Wed Dec 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.18-1qilnx
- update to version 2.18 by autospec

* Tue Dec 06 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.16-1qilnx
- update to version 2.16 by autospec

* Mon Nov 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.14-1qilnx
- update to version 2.14 by autospec

* Wed Nov 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.13-1qilnx
- update to version 2.13 by autospec

* Tue Sep 27 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.08-1qilnx
- update to version 2.08 by autospec
- built as noarch package

* Thu Sep 08 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.07-1qilnx
- update to version 2.07 by autospec

* Mon Jun 27 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.04-1qilnx
- update to version 2.04 by autospec

* Mon Jun 06 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.03-1qilnx
- update to version 2.03 by autospec

* Thu Apr 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.02-1qilnx
- update to version 2.02 by autospec

* Mon Oct 18 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.69-1qilnx
- update to version 1.69 by autospec

* Mon May 24 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.67-1qilnx
- new version rebuild

* Sat Mar 06 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.66-2qilnx
- man pages splitted into two packages (LDP and POSIX man pages)

* Mon Mar 01 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.66-1qilnx
- new version rebuilt

* Thu May 09 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 1.56-3qilnx
- removed man pages that conflict with coreutils package

* Thu May 08 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 1.56-2qilnx
- removed diff man page to avoid a conflict with diffutils package
